html {
  height: 100%;
}

body {
  background: #fff;
  min-height: 100%;
}

html,
body {
  margin: 0;
  padding: 0;
}

* {
  box-sizing: border-box;
}

body {
  font-family: 'Roboto', Tahoma, Geneva, sans-serif;
  font-size: 16px;
  border-bottom: 3px solid #fc0;
}


/* Nav */
.header_bg {
  background-color: #121317;
  background-image: url(/img/header_bg.jpg);
  background-repeat: repeat-y;
  background-position: center;
}

header {
  background: linear-gradient(rgba(255, 255, 255, 0.3), rgba(0, 0, 0, 0));
  padding: 0;
  margin: 0;
  border-bottom: 3px solid #b89550;
}

header .logo {
  display: block;
  /* display: flex; */
  /* justify-content: center; */
  width: 300px;
  margin: 0 auto;
  color: #fff;
  text-decoration: none;
  /* padding: 22px 0; */
  padding: 55px 0 55px;
  text-align: center;
}

header .logo h1 {
  padding: 0;
  margin: 0;
  display: inline-block;
  /* border-bottom: 4px solid #dead52; */
  border-bottom: 4px solid rgba(222, 173, 82, 0.75);
  text-shadow: 0 0.1em 0.1em rgba(0, 0, 0, 0.3);
  border-radius: 2px;
}

header .logo img {
  display: none;
  height: 50px;
  border-radius: 25px;
  margin-top: 20px;
  margin-right: 1em;
}


/* Nav menu */
nav {
  /* background: #eee; */
  margin-left: auto;
  display: flex;
  justify-content: center;
  align-items: center;
  /* border-bottom: 4px solid #fdb; */
  padding-bottom: 20px;

  position: absolute;
  top: 0;
  right: 30px;
}

nav a.menu-item {
  padding: 8px 18px;
  /* color: #666; */
  color: #dead52;
  text-decoration: none;
  background: rgba(0, 0, 0, 0.8);
  background: rgba(255, 255, 255, 0.8);
  border-radius: 0.2em;

}

nav a.menu-item:hover {
  background: #e4e4e4;
}

nav a.icon {
  padding: 20px;
}

nav a.icon:hover {
  opacity: 1;
}

nav a > i {
  color: #000;
  font-size: 24px;
  opacity: 0.6;
  /* transition: 0.15s; */
}

nav a:hover > i {
  opacity: 1;
  color: #fff;
}


/* Main */
main {
  display: block;
  width: 900px;
  max-width: 100%;
  padding: 20px 40px;
  padding-bottom: 80px;
  line-height: 1.7em;
  margin: 0 auto;
}

h1 {
  font-size: 2em;
  line-height: 1.1em;
}

h2 {
  font-size: 1.45em;
  margin: 2em 0 0em;
}

h3 {
  font-size: 1.3em;
  margin-top: 2em;
  margin-bottom: 1em;
}

h4 {
  color: #494949;
  font-size: 1.1em;
  margin-top: 1.8em;
  margin-bottom: 1em;
}

a {
  color: #27c;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

hr {
  border: 0;
  height: 1px;
  background: #ccc;
}


/* Blog Posts */
.post_snippet {
  margin-top: 2em;
  margin-bottom: 2em;
}

.post_snippet h2 {
  margin: 0;
  margin-bottom: 0.2em;
}

.post_snippet h2 a {
  color: #000;
}

.post_snippet .date {
  color: #999;
  font-size: 0.85em;
  letter-spacing: 2px;
}

.post_snippet p {
  margin-top: 0;
}

.blog_date {
  color: #666;
  font-size: 0.85em;
}

.blog_tagline {
  font-size: 1.2em;
  color: #666;
  font-weight: bold;
  margin-top: 1em;
  margin-bottom: 1em;
}

.post_image {
  height: 350px;
  background-position: center;
}


img,
iframe,
pre,
pre code,
table {
  max-width: 100%;
}

table {
  word-break: break-word;
}

/* Article (page) */
article {
  padding-bottom: 2em;
  border-bottom: 2px solid #e5e5e5;
  border-bottom: 2px solid #fdb;
  margin-bottom: 2em;
  overflow-wrap: break-word;
  word-wrap: break-word;
  min-height: 300px;
}

article .tags {
  display: flex;
}

article .tags a {
  margin-top: 1px;
  background: #f0f0f0;
  padding: 0px 9px;
  margin-top: 20px;
  margin-right: 10px;
  font-size: 0.9em;
  color: #999;
}
article .tags a:hover {
  background: #d9d9d9;
  color: #666;
  border-color: #999;
  text-decoration: none;
}

article table {
  border-spacing: 0;
  border-collapse: collapse;
}

article table th,
article table td {
  padding: 6px 13px;
  border: 1px solid #dfe2e5;
}

article table tr:nth-child(2n) {
  background-color: #f4f4f4;
}

article hr {
  height: 4px;
  background: #e5e5e5;
  margin: 2em 0;
}

article a {
  border-bottom: 1px solid #ccc;
}

article a:hover {
  text-decoration: none;
  border-color: #27c;
}



.pagination {
  font-size: 0.85em;
  color: #888;
}


/* Quotes */
blockquote {
  margin: 1em 0;
  padding: 1px 10px;
  border-left: 6px solid;
  border-color: #eee;
  color: #888;
}

blockquote p {
  padding: 0;
  margin: 0.2em 0;
}


/* Code */
code {
  background: #f3eee7;
  background: #e0dcc7;
  /* color: #444; */
  color: #333;
  font-size: 0.87em;
  font-size: 0.9em;
  padding: 0 4px;
  margin: 0 2px;
}

pre code {
  text-align: left;
  border-radius: 1px;
  font-size: 0.85em;
}


.rss-button {
  background: #fc0;
  border-radius: 4px;
  color: #000;
  padding: 0.7em 2em;
  display: inline-block;
  margin-bottom: 3rem;
}

.rss-button:hover {
  opacity: 0.8;
}

/* Responsive */
@media only screen and (max-width: 950px) {
  body {
    display: block;
  }

  header .logo {
    padding: 50px 0 20px;
  }

  nav {
    width: 100%;
    position: relative;
    right: 0;
    top: 0;
  }

  nav a > i {
    color: #fff;
    opacity: 0.8;
  }

  main {
    margin: 0;
    padding: 15px;
  }
}
